<?xml version="1.0" encoding="UTF-8"?>
<reportUnit>
    <folder>/reports/samples</folder>
    <name>Freight</name>
    <version>1</version>
    <label>Freight Report</label>
    <description>Freight Report with Saved Parameters</description>
    <creationDate>2020-07-20T16:02:15.000Z</creationDate>
    <updateDate>2020-07-20T15:50:05.000Z</updateDate>
    <mainReport>
        <localResource
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
            dataFile="ParametersJRXML.data" xsi:type="fileResource">
            <folder>/reports/samples/Freight_files</folder>
            <name>ParametersJRXML</name>
            <version>1</version>
            <label>ParametersJRXML_label</label>
            <description>ParametersJRXML description</description>
            <creationDate>2020-07-20T16:02:15.000Z</creationDate>
            <updateDate>2020-07-20T16:02:15.000Z</updateDate>
            <fileType>jrxml</fileType>
        </localResource>
    </mainReport>
    <dataSource>
        <uri>/datasources/JServerJNDIDS</uri>
    </dataSource>
    <inputControl>
        <localResource
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="inputControl">
            <folder>/reports/samples/Freight_files</folder>
            <name>Country</name>
            <version>1</version>
            <label>Country</label>
            <description>Country</description>
            <creationDate>2020-07-20T16:02:15.000Z</creationDate>
            <updateDate>2020-07-20T16:02:15.000Z</updateDate>
            <type>4</type>
            <mandatory>true</mandatory>
            <readOnly>false</readOnly>
            <visible>true</visible>
            <query>
                <localResource xsi:type="query">
                    <folder>/reports/samples/Freight_files/Country_files</folder>
                    <name>CountryQuery</name>
                    <version>0</version>
                    <label>CountryQuery</label>
                    <creationDate>2020-07-20T16:02:15.000Z</creationDate>
                    <updateDate>2020-07-20T16:02:15.000Z</updateDate>
                    <language>sql</language>
                    <queryString>select distinct SHIPCOUNTRY from ORDERS</queryString>
                    <dataSource>
                        <uri>/datasources/JServerJNDIDS</uri>
                    </dataSource>
                </localResource>
            </query>
            <queryVisibleColumn>SHIPCOUNTRY</queryVisibleColumn>
            <queryValueColumn>SHIPCOUNTRY</queryValueColumn>
        </localResource>
    </inputControl>
    <inputControl>
        <localResource
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="inputControl">
            <folder>/reports/samples/Freight_files</folder>
            <name>RequestDate</name>
            <version>1</version>
            <label>RequestDate</label>
            <description>RequestDate</description>
            <creationDate>2020-07-20T16:02:15.000Z</creationDate>
            <updateDate>2020-07-20T16:02:15.000Z</updateDate>
            <type>2</type>
            <mandatory>false</mandatory>
            <readOnly>false</readOnly>
            <visible>true</visible>
            <dataType>
                <localResource xsi:type="dataType">
                    <folder>/reports/samples/Freight_files/RequestDate_files</folder>
                    <name>Date</name>
                    <version>0</version>
                    <label>Date_label</label>
                    <description>Date description</description>
                    <creationDate>2020-07-20T16:02:15.000Z</creationDate>
                    <updateDate>2020-07-20T16:02:15.000Z</updateDate>
                    <type>3</type>
                    <strictMin>false</strictMin>
                    <strictMax>false</strictMax>
                </localResource>
            </dataType>
        </localResource>
    </inputControl>
    <inputControl>
        <localResource
            xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:type="inputControl">
            <folder>/reports/samples/Freight_files</folder>
            <name>OrderId</name>
            <version>1</version>
            <label>OrderId</label>
            <description>OrderId</description>
            <creationDate>2020-07-20T16:02:15.000Z</creationDate>
            <updateDate>2020-07-20T16:02:15.000Z</updateDate>
            <type>2</type>
            <mandatory>false</mandatory>
            <readOnly>false</readOnly>
            <visible>true</visible>
            <dataType>
                <localResource xsi:type="dataType">
                    <folder>/reports/samples/Freight_files/OrderId_files</folder>
                    <name>Number</name>
                    <version>0</version>
                    <label>Number_label</label>
                    <description>Number description</description>
                    <creationDate>2020-07-20T16:02:15.000Z</creationDate>
                    <updateDate>2020-07-20T16:02:15.000Z</updateDate>
                    <type>2</type>
                    <strictMin>false</strictMin>
                    <strictMax>false</strictMax>
                </localResource>
            </dataType>
        </localResource>
    </inputControl>
    <alwaysPromptControls>false</alwaysPromptControls>
    <controlsLayout>1</controlsLayout>
</reportUnit>
